iglNormalize <-
function (data = 0)                        ####  
{                                                          ####  
    norm <- matrix(NA, length(data[, 1]), 2)               ####  
    r <- data[, 1]                                         ####  'r' = Red Signal
    g <- data[, 2]                                         ####  'g' = Green Signal
    a <- (r + g)/2                                         ####  'a' = mean of corresponding Red and Green signals
    norm[, 1] <- r - loess(r ~ a, span = 0.2)$fitted       ####  norm = deviations from loess fitted values
    norm[, 2] <- g - loess(g ~ a, span = 0.2)$fitted       ####  
    return(norm)                                           ####  
}                                                          ####  

