madNormalize <-
function (data, targetMAD = 0.1)                 ####  
{                                                                ####  
    if (is.vector(data) == TRUE) {                               ####  
        mad <- median(abs(data - median(data)))                  ####  
        norm <- data * targetMAD/mad                             ####  
    }                                                            ####  
    else {                                                       ####  
        norm <- NULL                                             ####  
        for (i in 1:ncol(data)) {                                ####  
            mad <- median(abs(data[, i] - median(data[, i])))    ####  
            norm <- cbind(norm, data[, i] * targetMAD/mad)       ####  
        }                                                        ####  
    }                                                            ####  
    return(norm)                                                 ####  
}                                                                ####  

