normalizeArrays <-
function(data = 0, gcCount = NULL, useGC = FALSE, minGC = 0,signal="median",    ####  
                            filter = FALSE,filter.cols='default', filename = "NULL", type = "c", scale = "n",            ####  
                            missing = NULL)                                                        ####                                     
{                                                                                                  ####  
    norm <- NULL                                                                                   ####  Resets 'norm' object
    if (filename[1] != "NULL") {                                                                   ####  
        narrays <- length(filename)                                                                ####  
        for (i in 1:narrays) {                                                                     ####  
            temp <-  normalizeArray(useGC = useGC, minGC = minGC,                                  ####  Calls normalizeArray function
                signal=signal, filter=filter, filter.cols=filter.cols, filename = filename[i], type = type, scale = scale)  ####  
      	if (filter != FALSE) {                                                                     ####  
			for (j in temp$missing) {                                                              ####  
					temp$norm[j,1:2] <- NA                                                         ####    
				}                                                                                  ####  
    		}                                                                                      ####  
    		if (i==1) {
    			norm <- cbind(norm,temp$probeID)
    			}
        	norm <- cbind(norm,temp$norm)                                                          ####  
        }                                                                                          ####  
    }                                                                                              ####    
    else {                                                                                         ####  
        narrays <- (ncol(data)/2)                                                                  ####  
        for (i in 1:narrays) {                                                                     ####  
             temp <- normalizeArray(data = data[,(2 * i - 1):(2 * i)], gcCount = gcCount,          ####  
                                    useGC = useGC,minGC = minGC, signal=signal, filter=filter,     ####  
                                    type = type, scale = scale)                                    ####  
             if (filter != FALSE) {                                                                ####  
				for (j in missing[[i]]) {                                                          ####  
					temp[j,1:2] <- NA                                                              ####    
				}                                                                                  ####  
    		}                                                                                      ####  
            norm <- cbind(norm,temp)                                                               ####  
        	}                                                                                      ####  
    	}                                                                                          ####  
    return(norm)                                                                                   ####  
}                                                                                                  ####  

